- Qt 5.15
- All QML Basic Types
- Qt 5.15.12 Reference Documentation

# All QML Basic Types

This is a list of all QML basic types. The following pages contain different API listings in different categories:

- All QML Types
- All QML APIs by Module
- Obsolete QML Types
- New Classes and Functions in Qt 5.15

For more reference pages including C++ APIs, visit Qt Reference Pages.

B C D E F G I L M P Q R S U V

B
  bool

C
  color
  coordinate

D
  date
  double

E
  enumeration

F
  font

G
  geocircle
  geopath
  geopolygon
  georectangle
  geoshape

I
  int

L
  list

M
  matrix4x4

P
  palette
  point

Q
  quaternion

R
  real
  rect

S
  size
  string

U
  url

V
  var
  variant
  vector2d
  vector3d
  vector4d